export type ConfigurationType = {
    createChildModel?: boolean;
    createEloquentModelsOnly?: boolean;
    reference?: string;
    source?: string;
    directory?: string;
    homeRoute?: string;
    layout?: string;
    eloquent?: {
        parent?: string;
        customParents?: Record<string, string>;
    };
};
export declare class Configuration {
    private $attributes;
    constructor($attributes: ConfigurationType);
    directory(): string;
    reference(): string;
    source(): string;
    homeRoute(): string;
    layout(): string;
    eloquentParent(table: string): string;
    createChildModel(): boolean;
    createEloquentModelsOnly(): boolean;
}
