"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Configuration = void 0;
class Configuration {
    constructor($attributes) {
        this.$attributes = $attributes;
    }
    directory() {
        return this.$attributes.directory || '.';
    }
    reference() {
        return this.$attributes.reference || 'laravel-generathor';
    }
    source() {
        return this.$attributes.source || 'db';
    }
    homeRoute() {
        return this.$attributes.homeRoute || 'home';
    }
    layout() {
        return this.$attributes.layout || 'layout';
    }
    eloquentParent(table) {
        var _a, _b;
        const map = ((_a = this.$attributes.eloquent) === null || _a === void 0 ? void 0 : _a.customParents) || {};
        if (map[table]) {
            return map[table];
        }
        return (((_b = this.$attributes.eloquent) === null || _b === void 0 ? void 0 : _b.parent) ||
            'Illuminate\\Database\\Eloquent\\Model');
    }
    createChildModel() {
        return typeof this.$attributes.createChildModel === 'undefined'
            ? true
            : this.$attributes.createChildModel;
    }
    createEloquentModelsOnly() {
        return typeof this.$attributes.createEloquentModelsOnly === 'undefined'
            ? false
            : this.$attributes.createEloquentModelsOnly;
    }
}
exports.Configuration = Configuration;
