"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HandlebarsHelper = void 0;
const handlebars_1 = __importDefault(require("handlebars"));
let configured = false;
class HandlebarsHelper {
    static configure() {
        if (configured) {
            return;
        }
        handlebars_1.default.registerHelper('eq', (arg1, arg2) => arg1 == arg2);
        handlebars_1.default.registerHelper('not', (val) => !val);
        handlebars_1.default.registerHelper('concat', (arg1, arg2) => arg1 + arg2);
        configured = true;
    }
}
exports.HandlebarsHelper = HandlebarsHelper;
