import { Configuration } from '../../configuration';
import { Item } from 'generathor-db';
export interface CurrentItem extends Item {
    [x: string | number | symbol]: any;
}
type FKDetails = {
    relationAttribute: string;
    table: string;
    context: string;
    routeRecordName: string;
};
export declare abstract class BaseTransformer {
    protected $item: CurrentItem;
    protected $config: Configuration;
    constructor($item: CurrentItem, $config: Configuration);
    abstract transform(): void;
    protected fks(): Record<string, FKDetails>;
}
export {};
