"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Edit = void 0;
const naming_1 = __importDefault(require("../../helpers/naming"));
const base_1 = require("./base");
class Edit extends base_1.BaseTransformer {
    transform() {
        this.$item.laravel.edit = {
            layout: this.$config.layout(),
            homeRoute: this.$config.homeRoute(),
            context: naming_1.default.context(this.$item.table),
            header: naming_1.default.listLabel(this.$item.table),
            listLabel: naming_1.default.listLabel(this.$item.table),
            recordName: naming_1.default.recordName(this.$item.table),
        };
    }
}
exports.Edit = Edit;
