import { GeneratorForCollection, GeneratorForItem } from 'generathor';
import { Configuration } from './configuration';
import { Item } from 'generathor-db';
type GeneratorType = GeneratorForItem | GeneratorForCollection;
type Templates = Record<string, GeneratorType>;
export declare class LaravelGenerator {
    private $configuration;
    constructor(configuration?: Configuration);
    private templateKey;
    private templateFile;
    private directory;
    transformer(item: Item): void;
    generators(): {
        [x: string]: GeneratorType;
    };
    generatorsForItems(): Templates;
    generatorsForCollections(): Templates;
    generatorsForStaticFiles(): Templates;
}
export {};
