"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Menu = void 0;
const base_1 = require("./base");
const naming_1 = __importDefault(require("../../helpers/naming"));
class Menu extends base_1.BaseTransformer {
    transform() {
        return [
            {
                layout: this.$config.layout(),
                homeRoute: this.$config.homeRoute(),
                items: this.$items.map((item) => {
                    return {
                        context: naming_1.default.context(item.table),
                        label: naming_1.default.listLabel(item.table),
                    };
                }),
            },
        ];
    }
}
exports.Menu = Menu;
